PrinterQueueWindow
3
LIBXFPRINT Library

# PrinterQueueWindow

## Synopsis

    #include <libxfprint/libxfprint.h>

                        PrinterQueueWindow;
    enum                PrinterQueueWindowColumn;
    GtkWidget*          printer_queue_window_new            (PrintingSystem *ps,
                                                             const gchar *printer);
    GtkUIManager*       printer_queue_window_get_ui_manager (PrinterQueueWindow *win);
    void                printer_queue_window_hide_column    (PrinterQueueWindow *win,
                                                             PrinterQueueWindowColumn column);
    guint               printer_queue_window_get_selected_job
                                                            (PrinterQueueWindow *win);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----PrinterQueueWindow

## Implemented Interfaces

PrinterQueueWindow implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### PrinterQueueWindow

    typedef struct _PrinterQueueWindow PrinterQueueWindow;

### enum PrinterQueueWindowColumn

    typedef enum
    {
      PRINTER_QUEUE_WINDOW_NAME_COLUMN,
      PRINTER_QUEUE_WINDOW_ID_COLUMN,
      PRINTER_QUEUE_WINDOW_USER_COLUMN,
      PRINTER_QUEUE_WINDOW_STATE_COLUMN,
      PRINTER_QUEUE_WINDOW_SIZE_COLUMN,
      PRINTER_QUEUE_WINDOW_PRIORITY_COLUMN,
      PRINTER_QUEUE_WINDOW_CREATION_TIME_COLUMN,
      PRINTER_QUEUE_WINDOW_PROCESSING_TIME_COLUMN,
    } PrinterQueueWindowColumn;

### printer_queue_window_new ()

    GtkWidget*          printer_queue_window_new            (PrintingSystem *ps,
                                                             const gchar *printer);

`ps` :

`printer` :

Returns :

### printer_queue_window_get_ui_manager ()

    GtkUIManager*       printer_queue_window_get_ui_manager (PrinterQueueWindow *win);

`win` :

Returns :

### printer_queue_window_hide_column ()

    void                printer_queue_window_hide_column    (PrinterQueueWindow *win,
                                                             PrinterQueueWindowColumn column);

`win` :

`column` :

### printer_queue_window_get_selected_job ()

    guint               printer_queue_window_get_selected_job
                                                            (PrinterQueueWindow *win);

`win` :

Returns :